package com.ruoyi.dpc.domain;

import com.ruoyi.common.annotation.Excel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 中介人员黑名单对象 dpc_intermediary_blacklist
 *
 * @author ruoyi
 * @date 2026-01-27
 */
public class DpcIntermediaryBlacklist implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /** 中介ID */
    private Long intermediaryId;

    /** 姓名/机构名称 */
    @Excel(name = "姓名/机构名称")
    private String name;

    /** 证件号 */
    @Excel(name = "证件号")
    private String certificateNo;

    /** 中介类型 */
    @Excel(name = "中介类型", readConverterExp = "1=个人,2=机构")
    private String intermediaryType;

    /** 状态 */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    /** 备注 */
    @Excel(name = "备注")
    private String remark;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private Date updateTime;

    public Long getIntermediaryId() {
        return intermediaryId;
    }

    public void setIntermediaryId(Long intermediaryId) {
        this.intermediaryId = intermediaryId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCertificateNo() {
        return certificateNo;
    }

    public void setCertificateNo(String certificateNo) {
        this.certificateNo = certificateNo;
    }

    public String getIntermediaryType() {
        return intermediaryType;
    }

    public void setIntermediaryType(String intermediaryType) {
        this.intermediaryType = intermediaryType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
